jQuery(document).ready(function () {

	$("#aportInformes_feedback").rup_feedback({
		gotoTop: true,
		block : false
	});
	
	$("#usuarioForm").rup_validate({
		feedback:$("#aportInformes_feedback"),
		liveCheckingErrors: true,
		showFieldErrorAsDefault: true,
		showErrorsInFeedback: true,
		showFieldErrorsInFeedback: true
	});	
	
	botoneraUpload = {
			// BOTON VOLVER
			subirTodos:function(){
				$("div.start button").not(".inv").click();
			},
			cancelarTodos:function() {
				$("div.cancel button").not(".inv").click();
			}
	};
	
	$("form .formUpload").bind('fileuploadsubmit', function (e, data) {
		if (!hayFirmanteVigente) {
			ab03bUtils.feedback.pintarFeedbackError($.rup.i18n.app.mensajes.errorNoHayFirmante, $("#tramitacion_feedback"));
        	return false;
		
		}
	});
	
	var estaEnDokusi= enDokusi();
	
	var hayDoc = contarDocs ();
	if(!estadoCierreRealizado && 
		(($("#id002Tramite").val()==4 && esUsuarioOsalanTer) || ($("#id002Tramite").val()==5 && esUsuarioInspeccionTer))){
		if(estaEnDokusi==false){
			if(hayDoc==true){
				
				if ((enviarFirmarOsalan && esUsuarioOsalanTer) || (enviarFirmarInspeccion && esUsuarioInspeccionTer)) {

					$("#aportInformes_toolbar").rup_toolbar({
						buttons:
							[{id:"Guardar", i18nCaption:$.rup.i18n.app.botones.Guardar, left:true},
							 {id:"EditarDocumento", i18nCaption:$.rup.i18n.app.botones.EditarDoc, left:true},
							 {id:"FirmarDocumento", i18nCaption:$.rup.i18n.app.botones.FirmarDoc, left:true}]
					
					});
				} else {
					$("#aportInformes_toolbar").rup_toolbar({
						buttons:
							[{id:"Guardar", i18nCaption:$.rup.i18n.app.botones.Guardar, left:true},
							 {id:"EditarDocumento", i18nCaption:$.rup.i18n.app.botones.EditarDoc, left:true}]
					});
				}
				//$("#observacionesEs015").attr("disabled", "disabled");
			}else{
				$("#aportInformes_toolbar").rup_toolbar({
					buttons:
						[{id:"Guardar", i18nCaption:$.rup.i18n.app.botones.Guardar, left:true},
						 {id:"DeshacerAportacion", i18nCaption:$.rup.i18n.app.botones.DeshacerAportacion, left:true}]
				});
			}
		}else {
			//Se deshabilitan los campos de la pantalla. Una vez generado el documento no se pueden modificar los datos
			$("#observacionesEs015").attr("readonly", "readonly");
	
			if (idestado == 5){
				/*$("#aportInformes_toolbar").rup_toolbar({
					buttons:
						[{id:"DeshacerAportacion", i18nCaption:$.rup.i18n.app.botones.DeshacerAportacion, left:true}]
				});*/		
			} else {
				if(vistoBueno=="S"){
					$("#aportInformes_toolbar").rup_toolbar({
						buttons:
							[{id:"VistoBueno", i18nCaption:$.rup.i18n.app.botones.VistoBueno, left:true, click:fncVistoBueno}]
					});
				}		
			}
		}	
	}else{
		$("#observacionesEs015").attr("readonly", true);
		$("form input[id=file_form]").attr("readonly", "readonly");
		$("#file_form").hide();
	}
	
	//Pongo los click fuera porque al recargar la pagina se ejecutan las funciones
	$("[id='aportInformes_toolbar##EditarDocumento']").click(function(){
		fncDescargaDocumentoPif();
	});
	$("[id='aportInformes_toolbar##FirmarDocumento']").click(function(){
		//Antes de mandar se recupera el tipo de documento de dokusi para poder firmar
		pk_tipoDocDokusi = "8";
		fncSubirDocumentoDokusi();
	});
	$("[id='aportInformes_toolbar##Guardar']").click(function(){
		guardar($.rup.i18n.app.mensajes.confirmacionAportarInforme);
	});
	$("[id='aportInformes_toolbar##DeshacerAportacion']").click(function(){
		//deshacerAportacion($.rup.i18n.app.mensajes.confirmDeshacerAportacion);
		fn_deshacer($.rup.i18n.app.mensajes.confirmDeshacerAportacion);
	});
	
	$("div.bloqueDocumentoSubidaFicheros").each(function (index,datos) {
		// activamos componente upload de UDA
		$("div.inputWrapper", datos).rup_upload({
			//form: $("form.formUpload").id,
			fileInput: $("#file_form", datos)
			//fileInput: $("input.fileInput", datos),
			//submitInForm:true,
			//maxFileSize: 52428800 // 50 MB
		});

		$("div.inputWrapper", datos).bind('fileuploaddone', function (e, data) {
			
		//	al acabar de subir el fichero hay que pintar el nombre del documento
			location.href = $.rup.CTX_PATH + "expedientes/detalle/tramitacion/irTramite/" + $("#idProv010").val() + "/" + $("#idAno010").val() + "/" + $("#id010NumExp").val() + "/" + $("#id014HistoTram").val() +"/"+estadoCierreRealizado+"?tab=0";

		});

		$("div.inputWrapper", datos).bind('fileuploadchange', function (e, data) {
			var fileName = data.files[0].name;
	        if (fileName != "") {
		       extension = fileName.substring(fileName.indexOf(".")+1).toUpperCase();
		        
		       if ($("#id002Tramite").val()==5 && esUsuarioInspeccionTer){
			        if (extension.search("PDF") < 0){
			        	ab03bUtils.feedback.pintarFeedbackError(ab03bUtils.util.messageFormatter($.rup.i18n.app.mensajes.errorFormatoDocumentoPdf, fileName), $("#tramitacion_feedback"));
			        	return false;
			        }
		       } else {
			        if (extension.search("PDF") < 0 && extension.search("DOC") < 0){
			        	ab03bUtils.feedback.pintarFeedbackError(ab03bUtils.util.messageFormatter($.rup.i18n.app.mensajes.errorFormatoDocumento, fileName), $("#tramitacion_feedback"));
			        	return false;
			        }		    	   
		       }
		        

	        }
			
			if ($('div.fileupload-content table tr').length > 0){
				if ($("#hayInforme").val() == 'S'){
					setTimeout(function(){
						$('tr.template-upload:last').remove();
					},500);
				} else {
					setTimeout(function(){
						$('tr.template-upload:first').remove();
					},500);	
				}
			}
		});

		if ($("#hayInforme").val() == 'S' ){
			$("table.files tbody", datos).html($("table.tablaFicheros_yaSubidos tbody", datos).html());
			if (estaEnDokusi){
				$("div.delete button", datos).remove();
			}
		}
		
		$("div.delete button", datos).bind('click', function (e, data) {
			setTimeout(function(){
				location.href = $.rup.CTX_PATH + "expedientes/detalle/tramitacion/irTramite/" + $("#idProv010").val() + "/" + $("#idAno010").val() + "/" + $("#id010NumExp").val() + "/" + $("#id014HistoTram").val() +"/"+estadoCierreRealizado+"?tab=0";
			},50);
		});
		
	});
});

function guardar(mensaje) {
	if(ab03bUtils.form.validate($("#usuarioForm"),$("#tramitacion_feedback"))){
		$.rup_messages("msgConfirm", {
			message: mensaje,
			title: "",
			OKFunction: function () {
				$.rup_ajax({
					url : $.rup.CTX_PATH + "documento/guardar",
					dataType: 'json',
					data: {"id015": $("#id015").val(), 
							"observacionesEs015":$("#observacionesEs015").val(),
							"idProv010": $("#idProv010").val(),
							"idAno010": $("#idAno010").val(),
							"id010NumExp": $("#id010NumExp").val(),
							"id014HistoTram": $("#id014HistoTram").val()
						  },
			    	type: "GET",
			    	contentType: 'application/json',
					success: function (mapaRespuesta){
						ab03bUtils.feedback.pintarFeedback( $.rup.i18n.app.mensajes.okGenerico, "OK", $("#tramitacion_feedback"));
						location.href = $.rup.CTX_PATH + "expedientes/detalle/tramitacion/irTramite/" + $("#idProv010").val() + "/" + $("#idAno010").val() + "/" + $("#id010NumExp").val() + "/" + $("#id014HistoTram").val() +"/"+estadoCierreRealizado+"?tab=0";
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
					},
					beforeSend : function() {
						if (!hayFirmanteVigente) {
							ab03bUtils.feedback.pintarFeedbackError($.rup.i18n.app.mensajes.errorNoHayFirmante, $("#tramitacion_feedback"));
				        	return false;
						
						}
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});
			}
		});
	}
}

function deshacerAportacion(mensaje) {
	$.rup_messages("msgConfirm", {
		message: mensaje,
		title: "",
		OKFunction: function () {
			$.rup_ajax({
				url : $.rup.CTX_PATH + "expedientes/detalle/tramitacion/eliminarAportacion",
				dataType: 'json',
				data: {"id014":$("#id014HistoTram").val(), "idEstado":idEstado},
		    	type: "GET",
		    	contentType: 'application/json',
				success: function (){
					ab03bUtils.feedback.pintarFeedback( $.rup.i18n.app.mensajes.okGenerico, "OK", $("#tramitacion_feedback"));
					location.href = $.rup.CTX_PATH + "ab03b10t00/irDetalle/" + $("#idProv010").val() + "/" + $("#idAno010").val() + "/" + $("#id010NumExp").val();							
				},
				error: function(error){
					ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
				},
				beforeSend : function() {
					ab03bUtils.util.bloquearInterfaz();
				},
				complete: function() {
					ab03bUtils.util.desBloquearInterfaz();
				}
			});
		}
	});
}
